1. Place order
Airalo Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • Developer feedback
    • Quick start
      • Step 1: Request access token
      • Step 2: Get packages
      • Step 3: Submit order
      • Step 4: Get installation instructions
    • Guides
      • How to set up a brand for eSIMs Cloud link sharing
      • How to get the eSIMs Cloud sharing link through API
      • How to generate the QR code for an eSIM
      • eSIM installation methods for API Partners
  • REST API
    • Introduction
    • Rate limits
    • Error handling
    • Go live checklist
    • Sandbox mode
    • Endpoints
      • Authenticate
        • Request access token
      • Browse packages
        • Get packages
      • Place order
        • Future orders
          POST
        • Submit order
          POST
        • Submit order async
          POST
        • eSIM voucher
          POST
      • Request refund
        • Request refund
      • Install eSIM
        • Get eSIM
        • Get installation instructions
      • Monitor usage
        • Get usage (data, text & voice)
      • Place top up order
        • Get top-up package list
        • Submit top-up order
      • Manage orders
        • Get order list
        • Get order
        • Cancel future orders
        • Future Orders
      • Manage eSIMs
        • Update eSIM brand
        • Get eSIMs list
        • Get eSIM package history
      • Compatible devices
        • [Deprecated] Get compatible device list
        • Get compatible device lite list
      • Notifications
        • Airalo webhooks opt-in and flow
        • Webhooks guide
        • Webhook definition
        • Notification: Low data
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Credit limit
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Async orders
          • Opt in
          • Get notification details
          • Opt out
        • Webhook simulator
      • Check balance
        • Get balance
  • SDKs
    • Introduction
    • SDK vs. REST API
    • Technical notes
  • WOOCOMMERCE PLUGIN
    • Introduction
    • Guides
      • How to install the Airalo Plugin for WooCommerce
      • How to customize the "My eSIMs" page colors in WooCommerce
      • How to convert prices into your local currency
  1. Place order

eSIM voucher

POST
/v2/voucher/esim
Overview:
The eSIM voucher endpoint lets you purchase Airalo eSIM activation codes individually or in bulk. You can store these codes as inventory and distribute them to customers through your own channels (e.g., website, app, email, CRM). Customers redeem the code on the Airalo app or Airalo website to install and activate the eSIM.
Why choose vouchers:
Vouchers offer a fast go‑to‑market path to provide connectivity without implementing a full eSIM purchase and management flow. You can offer connectivity through eSIM vouchers or Airmoney vouchers, while Airalo provides 24/7 customer support in 53 languages, has a 90+ CSAT score, and takes full responsibility and liability for connectivity.
How to use this endpoint:
This endpoint is a good fit if you want to resell eSIMs (buy codes at partner rates and set your own pricing), embed voucher fulfillment into your customer journey (e.g., post‑purchase delivery), or manage inventory by buying in bulk and distributing codes on demand. For order reconciliation, you can pass an optional booking_reference to link each purchase to your internal order ID. Requests are sent as an array of voucher items—each specifying a package_id and quantity—and the response returns activation codes you can deliver to your customers.
This endpoint allows you to create an esim voucher to the Airalo Partners API. Provide the required information, such as quantity and package ID. The access token, obtained from the "Request Access Token" endpoint, should be included in the request.
For more information and best practices visit our FAQ page.
Body structure:
{
    "vouchers": [
        {
            "package_id": "replace with actual package slug",
            "quantity": 3,
            "booking_reference": "123"
        }
    ]
}
Request parameters:
vouchers (array, required):
An array of voucher objects to be created for eSIMs. Each voucher object contains the following fields:
package_id (string, required):
The unique identifier (slug) of the eSIM package for which the voucher is being issued.
Example: "package_id": "eu-europe-5gb-30days"
quantity (integer, required):
The number of vouchers you wish to purchase for the specified package.
Example: "quantity": 3
booking_reference (string, optional):
A field used to store the booking reference for this voucher, which can be used for tracking purposes in your own system.
Example: "booking_reference": "123"
If not provided, this field will be ignored.

Request

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://partners-api.airalo.com/v2/voucher/esim' \
--header 'Authorization: Bearer {{token}}' \
--header 'url: https://partners-api.airalo.com' \
--header 'Content-Type: application/json'

Responses

🟢200Esim voucher
text/plain
Examples
{
    "data": [
        {
            "package_id": "jaco-mobile-7days-1gb",
            "codes": [
                "BIXLAAAA",
                "BSXLAAAA"
            ],
            "booking_reference": "123"
        },
        {
            "package_id": "liberation-mobile-30days-3gb",
            "codes": [
                "1HKGDUMP"
            ],
            "booking_reference": "123"
        }
    ],
    "meta": {
        "message": "success"
    }
}
🟢200Esim voucher error
Modified at 2026-04-24 09:57:08
Previous
Submit order async
Next
Request refund
Built with